Subject: RE: [Adslmib] Re: VDSL Line Extension MIB - Modified

From: "Michael Sneed" <[email-masked]>
Date: Fri, 13 Jun 2003 10:15:20 -0400

The ADSLMIB  is in fact a perfect example of why NOT to reference the LCS 
MIBs from the base MIB as in that case  the LCS MIBs were never developed.  
Unless some miracle occurs, the reference to LCS MIBs will have be removed 
when this document progresses, because it can't be implemented.  This is an 
extreme case of the problem we can run into; it is unwise to document a 
relationship to another MIB that has not yet been developed, because that 
relationship may be altered in the course of developing that MIB ( I am not 
suggesting that the LCS MIB for VDSL will not be developed; I am simply 
pointing out that the nature of that MIB may be different than we expect at 
this point in time.)

I still fail to see the purpose of documenting a relationship to a 
non-existent document in the base MIB.  The place to describe the 
relationship between the base MIB and the LCS MIB is in the LCS MIB.  We can 
then document that relationship with perfect hindsight, rather than 
requiring prescience to do it in the base MIB.

>From: [email-masked]
>To: [email-masked], [email-masked]
>Subject: RE: [Adslmib] Re: VDSL Line Extension MIB - Modified
>Date: Thu, 12 Jun 2003 14:41:30 +0200
>
>Hi Mike,
>
>	I think, based on all the previous discussion, that the only way
>that everyone in the working group
>  will agree to proceed is if with adopt option 3) i) "Promote the current
>VDSL MIB and recharter to do the
>LCS MIB when it can be done consistent with the DSLF." This is also
>consistent with Bob Ray's email suggesting a change to the charter.
>	Option 3) iii) "Promote the VDSL MIB and drop LCS altogether for the
>time being." is completely
>unacceptable.
>	Item 4) "There is still debate over whether to refer to LCS MIBs
>..." If we divide the MIB into two parts
>the core MIB and the LCS MIB then it makes sense that within the core MIB
>there is explanation and
>reference to the LCS MIBs. I would have thought that the example of RFC 
>2662
>is a good example as it
>shows that when there is a core MIB and an extension MIB there is a need to
>reference the extension
>in the core MIB. If we adopt 3) i) and stick to the timetable set out by 
>Bob
>Ray we will not have a problem
>of having a core MIB with references to a non-existing extension MIB.
>	I suggest that we accept option 3) i) and also Bob Ray's
>modification to the charter (with my additions)
>and the Goals and Milestones that Bob outlined.
>
>	Regards,
>	Menachem Dodge
>
>-----Original Message-----
>From: Michael Sneed [mailto:[email-masked]]
>Sent: Monday, June 09, 2003 8:15 PM
>To: [email-masked]
>Subject: Re: [Adslmib] Re: VDSL Line Extension MIB - Modified
>
>
>
>Just to clarify (because there are a couple of lines of argument going on
>here and it is easy for me to get confused):
>
>1) The issue of LCS configuration objects in the current MIB is not a
>charter issue.  They are neither required nor excluded by the charter.  I
>think we all agree on this.
>
>2) It is my assumption that producing an LCS MIB would require a charter
>revision.  This is really only because we would be producing a new 
>document.
>
>   If editor(s) are available for this work it is unlikely the work would 
>not
>
>be chartered.  I expect the risk is probably about the same as that we get
>shut down before promoting the VDSL MIB for failure to reach a consensus
>;-).  It might be possible to do it without a new charter, since the
>functionality is not exluded from the current charter, but it is best to
>revise the charter to match the work.
>
>3) There are three possible ways to proceed from here (as I see it):
>
>i) Promote the current VDSL MIB and recharter to do the LCS MIB when it can
>be done consistent with the DSLF.
>ii) Hold the VDSL MIB until we can do LCS configuration consistent with the
>DSLF.
>iii) Promote the VDSL MIB and drop LCS altogether for the time being.
>iv) Revert to the scheme of LCS management in -07 and promote that.
>
>If I understand Moti, he is recommending ii), while I recommend i).  I
>haven't heard anyone argue for iii).  I don't think I have heard anyone
>recommend iv), but sometimes I am not so sure.
>
>4) There is still debate over whether to refer to LCS MIBs if we pursue
>option i) or iii).  I don't understand this argument, because I fail to see
>the usefulness of the proposed references.  The case of 2662 is not a good
>example, because the LCS MIBs were never written, and that whole issue 
>would
>
>disappear were the document updated.
>
>
>So we need to reach  consensus on items 3) and 4) if we are going to make
>progress.   I would like to see the current draft move forward, because I
>think it is useful in its current form.  The lack of LCS configuration
>functionality does not detract from the usefulness of what is there;
>delaying the LCS features simply reflects the reality of maintaining
>consistency with the DSLF.  Can any one argue why we will not be better off
>with the core MIB at Proposed, rather than a constantly morphing ID?  The
>argument that this leaves the door open to proporietary implementations 
>does
>
>not hold water; without having the core at Proposed the door is MUCH wider,
>because there is NO standard.
>
>
>
>
> >From: [email-masked]
> >To: [email-masked]
> >CC: [email-masked], [email-masked]
> >Subject: Re: [Adslmib] Re: VDSL Line Extension MIB - Modified
> >Date: Mon, 9 Jun 2003 19:55:14 +0300
> >
> >
> >Bob and all,
> >
> >Any LCS tables that were in the -07 draft certainly belong to the WG
> >charter/scope. The 2 newer drafts do not have those tables not because 
>the
> >tables "do not belong to the charter" but because of considering the DSLF
> >TR. We now know how "mature" and serious is that DSLF management model. 
>The
> >DSLF itself, after everyone (except for ECI and maybe others too) was 
>happy
> >with the content of the TR, discovered a need for correcting the model
> >EVERY MEETING since they published TR. Part of the findings are going to 
>be
> >included in a new working text (WT) but currently the DSLF model doesn't
> >match the -09 draft. It seems that tsome people in our WG don't see a 
>need
> >to wait until the DSLF formally accept or reject those changes but (as 
>Mike
> >just said) "The one thing no one wants is TWO standards". If that is
> >correct than we MUST hold our work until the DSLF members formally 
>evaluate
> >the corrected model.
> >
> >When Mike raised the possibility of having a "core" MIB and extension(s) 
>to
> >that MIB I assumed that this is a procedure which is fully within the
> >charter. Now I see that even before discussing the missing SNMP objects
> >there is a potential scenario that we won't be able to even start such an
> >extension. I hear arguments such as "references to work that hasn't been
> >done is not productive", while the same WG published RFC2662 with a
> >reference to any external (proprietary) MIB. If the ADSL MIB can have a
> >hook for a proprietary extension, why can't the VDSL MIB include a hook 
>for
> >a potential LCS extensions (proprietary or by IETF)?
> >
> >Best regards,
> >Moti Morgenstern
> >
> >Senior Systems Engineer
> >ECI Telecoms Ltd.
> >Inovia Broadband Access Division
> >30 Hasivim St.
> >Petach Tikva, Israel 49133
> >Tel.: +972-3-9266258
> >Fax: +972-3-9268182
> >Cell: +972-55-786258
> >e-mail: [email-masked]
> >www.ecitele.com
> >
> >
> >
> >
> >                       Bob Ray <rray@
> >                       pesa.com>                To:      adslmib mail 
>list
> ><[email-masked]>
> >                       Sent by:                 cc:
> >                       adslmib-admin@           Subject: [Adslmib] Re: 
>VDSL
>
> >Line Extension MIB - Modified
> >                       ietf.org
> >
> >
> >                       09/06/03 17:15
> >                       Please respond
> >                       to rray
> >
> >
> >
> >
> >
> >Felix (and all):
> >
> >This insistence that the hands of the IETF be bound by specific
> >references to work that hasn't been chartered and by work that
> >hasn't been done is not productive.
> >
> >I would suggest, instead, that those who feel most strongly
> >about the "missing tables" do the following:
> >
> >a) dredge up a copy of the -07 draft
> >b) write a draft vdsl-line-extension-mib using the missing
> >    tables
> >c) submit the draft as an individual contribution to the
> >    IETF
> >d) at the next meeting of the adslmib working group (perhaps
> >    Vienna), suggest that the charter be amended to support
> >    an extension MIB
> >e) humbly offer the individual contribution to the working
> >    group as a good starting point for such work.
> >f) work with (and in) the DSL Forum to achieve agreement as
> >    to THEIR preferred management objects.
> >
> >I believe this approach would be FAR MORE PRODUCTIVE...
> >
> >See: http://www.ietf.org/ietf/1id-guidelines.txt for information
> >on accomplishing this.
> >
> >Regards,
> >Bob Ray
> >
> >_______________________________________________
> >Adslmib mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/adslmib
> >
> >
> >
> >
> >_______________________________________________
> >Adslmib mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/adslmib
>
>_________________________________________________________________
>The new MSN 8: smart spam protection and 2 months FREE*
>http://join.msn.com/?page=features/junkmail
>
>_______________________________________________
>Adslmib mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/adslmib
>_______________________________________________
>Adslmib mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/adslmib

_________________________________________________________________
STOP MORE SPAM with the new MSN 8 and get 2 months FREE*  
http://join.msn.com/?page=features/junkmail

_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 13 Jun 2003 11:02:41 -0700

Hi -

> From: "Michael Sneed" <[email-masked]>
> To: <[email-masked]>
> Sent: Friday, June 13, 2003 7:15 AM
...
> requiring prescience to do it in the base MIB.
...

As a "MIB doctor", I am in complete agreement.

Randy